Bug 1259146 - [RHEL.7.2] controller usb-ehci doesn't support usb-kbd and usb-tablet
[RHEL.7.2] controller usb-ehci doesn't support usb-kbd and usb-tablet
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.2
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 01:45 EDT by Yang Meng
Modified: 2016-04-28 16:14 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 03:29:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yang Meng 2015-09-02 01:45:00 EDT
Description of problem:

controller usb-ehci doesn't support usb-kbd and usb-tablet 

Version-Release number of selected component (if applicable):

kernel-3.10.0-306.el7.x86_64
qemu-kvm-1.5.3-101.el7.x86_64

How reproducible:


Steps to Reproduce:
1.boot up guest:

/usr/libexec/qemu-kvm \
    -S  \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -machine pc  \
    -nodefaults  \
    -vga cirrus  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20150821-205427-mPPp6fFK,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/tmp/monitor-catch_monitor-20150821-205427-mPPp6fFK,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20150821-205427-mPPp6fFK,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20150821-205427-mPPp6fFK,path=/tmp/seabios-20150821-205427-mPPp6fFK,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20150821-205427-mPPp6fFK,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=03 \
    -device usb-ehci,id=usbtest,bus=pci.0,addr=04 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,format=raw,file=/home/autotest-devel/client/tests/virt/shared/data/images/rhel67-32-32-virtio.raw \
    -device ide-hd,id=image1,drive=drive_image1,bus=ide.0,unit=0 \
    -device virtio-net-pci,mac=9a:11:12:13:14:15,id=idC5WUe1,vectors=4,netdev=id6kwecE,bus=pci.0,addr=05  \
    -netdev tap,id=id6kwecE,vhost=on \
    -m 16384  \
    -smp 4,maxcpus=4,cores=2,threads=1,sockets=2  \
    -cpu 'Conroe',+kvm_pv_unhalt \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -device usb-kbd,id=usb-testdev,bus=usbtest.0,port=1  \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm \
    -monitor stdio \

2.qemu output:

Qemu output:
qemu-kvm: -device usb-kbd,id=usb-testdev,bus=usbtest.0,port=1: Warning: speed mismatch trying to attach usb device "QEMU USB Keyboard" (full speed) to bus "usbtest.0", port "1" (high speed)
qemu-kvm: -device usb-kbd,id=usb-testdev,bus=usbtest.0,port=1: Device initialization failed.
qemu-kvm: -device usb-kbd,id=usb-testdev,bus=usbtest.0,port=1: Device 'usb-kbd' could not be initialized

3.i tried in qemu-kvm-rhev, it is ok ,the usb-kbd device can attach to usb-ehci

qemu version:qemu-kvm-rhev-2.3.0-21.el7.x86_64

commandline:

/bin/qemu-kvm \
    -S  \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -machine pc  \
    -nodefaults  \
    -vga cirrus  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20150831-115634-TRgjlzAp,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/tmp/monitor-catch_monitor-20150831-115634-TRgjlzAp,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -device pvpanic,ioport=0x505,id=id5sP48e  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20150831-115634-TRgjlzAp,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20150831-115634-TRgjlzAp,path=/tmp/seabios-20150831-115634-TRgjlzAp,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20150831-115634-TRgjlzAp,iobase=0x402 \
    -device usb-ehci,id=usbtest,bus=pci.0,addr=03 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,format=qcow2,file=/root/usb/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/RHEL-Server-7.2-64-virtio.qcow2 \
    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=04 \
    -device virtio-net-pci,mac=9a:03:04:05:06:07,id=id5COray,vectors=4,netdev=idXrln05,bus=pci.0,addr=05  \
    -netdev tap,id=idXrln05,vhost=on \
    -m 16384  \
    -smp 4,maxcpus=4,cores=2,threads=1,sockets=2  \
    -cpu 'Penryn',+kvm_pv_unhalt \
    -device usb-tablet,id=usb-tablet1,bus=usbtest.0,port=1 \
    -device usb-kbd,id=usb-testdev,bus=usbtest.0,port=2  \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm \
    -monitor stdio \
Actual results:

can't attach usb-kbd to usb-ehci

Expected results:

should work fine

Additional info:

cpuinfo:

processor	: 7 
vendor_id	: GenuineIntel 
cpu family	: 6 
model	: 15 
model name	: Intel(R) Xeon(R) CPU E5310 @ 1.60GHz 
stepping	: 11 
microcode	: 0xbc 
cpu MHz	: 1595.813 
cache size	: 4096 KB 
physical id	: 1 
siblings	: 4 
core id	: 3 
cpu cores	: 4 
apicid	: 7 
initial apicid	: 7 
fpu	: yes 
fpu_exception	: yes 
cpuid level	: 10 
wp	: yes 
flags	: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx tm2 ssse3 cx16 xtpr pdcm dca lahf_lm dtherm tpr_shadow vnmi flexpriority
Comment 2 Gerd Hoffmann 2015-09-03 03:29:29 EDT
Support for that is not going to be added for qemu-kvm.
(It should work fine in qemu-kvm-rhev though)-
Comment 3 Gu Nini 2016-02-19 05:26:27 EST
(In reply to Gerd Hoffmann from comment #2)
> Support for that is not going to be added for qemu-kvm.
> (It should work fine in qemu-kvm-rhev though)-

Gerd,

It's found the feature has already been supported in following qemu-kvm versions of RHEL7.2/RHEL7.3:
Qemu-kvm: qemu-kvm-1.5.3-105.el7.x86_64
Host Kernel: 3.10.0-327.el7.x86_64

Qemu-kvm: qemu-kvm-1.5.3-108.el7.x86_64
Host kernel: 3.10.0-348.el7.x86_64


However, it's not supported in current RHEL6.8 versions:
Qemu-kvm: qemu-kvm-rhev-0.12.1.2-2.488.el6.x86_64
Host kernel: 2.6.32-610.el6.x86_64

Is this what you said that it was not added to qemu-kvm or others? If not, we will report a bug on RHEL6 as a tracker.

Thanks!
Nini

Note You need to log in before you can comment on or make changes to this bug.